# class Transition

###

Module | kdecore
Namespace | KTimeZone
Class | Transition
Inherits |

### methods

- Transition ( )

  returns ctor

- Transition (dt, phase)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  dt | QDateTime |
  phase | KTimeZone.Phase |

- Transition (t)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  t | KTimeZone.Transition |

- operator < (rhs)

  returns bool

  Argument | Type | Default
  --- | --- | ---
  rhs | KTimeZone.Transition |

  Compare the date/time values of two transitions.

  rhs - other instance Returns true if this Transition is earlier than rhs

- phase ( )

  returns KTimeZone.Phase

  Return the time zone phase which takes effect after the transition.

  Returns time zone phase

- time ( )

  returns QDateTime

  Return the UTC time of the transition.

  Returns UTC time